org.jboss.resteasy.skeleton.key.idm.model.data

## Class UserCredential

- java.lang.Object
- - org.jboss.resteasy.skeleton.key.idm.model.data.UserCredential

- All Implemented Interfaces:
    Serializable

      public class UserCredential
      extends Object
      implements Serializable

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CALLER_PRINCIPAL`
    `protected boolean` | `hashed`
    `protected String` | `id`
    `static String` | `PASSWORD`
    `protected String` | `type`
    `protected String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserCredential()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()`
    `String` | `getType()`
    `String` | `getValue()`
    `boolean` | `isHashed()`
    `void` | `setHashed(boolean hashed)`
    `void` | `setId(String id)`
    `void` | `setType(String type)`
    `void` | `setValue(String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PASSWORD

          public static final String PASSWORD

      See Also:
        Constant Field Values

    - #### CALLER_PRINCIPAL

          public static final String CALLER_PRINCIPAL

      See Also:
        Constant Field Values

    - #### id

          protected String id

    - #### type

          protected String type

    - #### value

          protected String value

    - #### hashed

          protected boolean hashed

  - ### Constructor Detail

    - #### UserCredential

          public UserCredential()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getValue

          public String getValue()

    - #### setValue

          public void setValue(String value)

    - #### isHashed

          public boolean isHashed()

    - #### setHashed

          public void setHashed(boolean hashed)

Copyright © 2014. All Rights Reserved.